{
  "custom": {},
  "params": {
    "tagProps": [
      "value",
      "value",
      "value",
      "value",
      "value",
      "value",
      "value",
      "value",
      "value",
      "value"
    ]
  },
  "propConfig": {
    "params.tagProps": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 41,
      "width": 83
    }
  },
  "root": {
    "children": [
      {
        "events": {
          "component": {
            "onActionPerformed": {
              "config": {
                "script": "\tif self.view.params.tagProps[0] is not True:\n\t\tnavigation.additional_view.navigate_to_additional_view(self)\n\telse:\n\t\tnavigation.navigate_to_page.detailed_view(self, self.view.params.tagProps[2],self.view.params.tagProps[2], self.view.params.tagProps[3])"
              },
              "scope": "G",
              "type": "script"
            }
          }
        },
        "meta": {
          "name": "Button"
        },
        "position": {
          "basis": "41px"
        },
        "propConfig": {
          "custom.page_id": {
            "binding": {
              "config": {
                "path": "view.params.tagProps[2]"
              },
              "type": "property"
            }
          },
          "custom.status": {
            "binding": {
              "config": {
                "fallbackDelay": 2.5,
                "mode": "direct",
                "tagPath": "Configuration/DetailedViews.value"
              },
              "transforms": [
                {
                  "code": "\t\n\tjson_decode \u003d  system.util.jsonDecode(value)\n\tpage_id \u003d self.custom.page_id\n\tpage_status \u003d json_decode.get(\"AdditionalPages\",{}).get(page_id,5)\n\treturn page_status",
                  "type": "script"
                }
              ],
              "type": "tag"
            }
          },
          "props.style.classes": {
            "binding": {
              "config": {
                "expression": "{this.custom.status}"
              },
              "transforms": [
                {
                  "fallback": "",
                  "inputType": "scalar",
                  "mappings": [
                    {
                      "input": 1,
                      "output": "State-Styles/Background-Fill/State1"
                    },
                    {
                      "input": 2,
                      "output": "State-Styles/Background-Fill/State2"
                    },
                    {
                      "input": 3,
                      "output": "State-Styles/Background-Fill/State3"
                    },
                    {
                      "input": 4,
                      "output": "State-Styles/Background-Fill/State4"
                    },
                    {
                      "input": 5,
                      "output": "Buttons/Clear-Background"
                    },
                    {
                      "input": 6,
                      "output": "State-Styles/Background-Fill/State6"
                    },
                    {
                      "input": 0,
                      "output": "State-Styles/Background-Fill/State0"
                    }
                  ],
                  "outputType": "style-list",
                  "type": "map"
                }
              ],
              "type": "expr"
            }
          }
        },
        "props": {
          "image": {
            "icon": {
              "path": "material/navigation"
            }
          },
          "style": {},
          "text": ""
        },
        "type": "ia.input.button"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}